#include "input_handler.h"

#include <afxwin.h>

namespace roy {

    namespace ih {

        input_handler::input_handler(void)
        {
        }

        input_handler::~input_handler(void)
        {
        }

        void input_handler::OnEntering(void)
        {
        }

        void input_handler::OnLeaving(void)
        {
        }

        bool input_handler::OnLButtonDown(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnLButtonUp(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnLButtonDblClk(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnRButtonDown(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnRButtonUp(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnRButtonDblClk(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnMButtonDown(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnMButtonUp(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnMButtonDblClk(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnMouseMove(UINT nFlags, CPoint point)
        {
            return false;
        }

        bool input_handler::OnMouseWheel(UINT nFlags, short zDelta, CPoint point)
        {
            return false;
        }

        bool input_handler::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
            return false;
        }

        bool input_handler::OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags)
        {
            return false;
        }
 
    }

}